package org.jeecg.modules.dataVue.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@TableName("jsra")
public class Jsra {
    public String getJh() {
        return jh;
    }

    public void setJh(String jh) {
        this.jh = jh;
    }

    public int getSgxh() {
        return sgxh;
    }

    public void setSgxh(int sgxh) {
        this.sgxh = sgxh;
    }

    public String getSgmc() {
        return sgmc;
    }

    public void setSgmc(String sgmc) {
        this.sgmc = sgmc;
    }

    public Date getFsrq() {
        return fsrq;
    }

    public void setFsrq(Date fsrq) {
        this.fsrq = fsrq;
    }

    public String getFssj() {
        return fssj;
    }

    public void setFssj(String fssj) {
        this.fssj = fssj;
    }

    public Date getJcrq() {
        return jcrq;
    }

    public void setJcrq(Date jcrq) {
        this.jcrq = jcrq;
    }

    public String getJcsj() {
        return jcsj;
    }

    public void setJcsj(String jcsj) {
        this.jcsj = jcsj;
    }

    public Double getSssj() {
        return sssj;
    }

    public void setSssj(Double sssj) {
        this.sssj = sssj;
    }

    public Double getDsjs() {
        return dsjs;
    }

    public void setDsjs(Double dsjs) {
        this.dsjs = dsjs;
    }

    public String getNyhbkzz() {
        return nyhbkzz;
    }

    public void setNyhbkzz(String nyhbkzz) {
        this.nyhbkzz = nyhbkzz;
    }

    public String getFsjgjyy() {
        return fsjgjyy;
    }

    public void setFsjgjyy(String fsjgjyy) {
        this.fsjgjyy = fsjgjyy;
    }

    public String getSgclgk() {
        return sgclgk;
    }

    public void setSgclgk(String sgclgk) {
        this.sgclgk = sgclgk;
    }

    public Double getZjssje() {
        return zjssje;
    }

    public void setZjssje(Double zjssje) {
        this.zjssje = zjssje;
    }

    private String jh;
    private int sgxh;
    private String sgmc;
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date fsrq;
    private String fssj;
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date jcrq;
    private String jcsj;
    private Double sssj;
    private Double dsjs;
    private String nyhbkzz;
    private String fsjgjyy;
    private String sgclgk;
    private Double zjssje;

    public String getSgdjbh() {
        return sgdjbh;
    }

    public void setSgdjbh(String sgdjbh) {
        this.sgdjbh = sgdjbh;
    }

    public String getSglbid() {
        return sglbid;
    }

    public void setSglbid(String sglbid) {
        this.sglbid = sglbid;
    }

    private String sgdjbh;
    private String sglbid;

    public String getAlbh() {
        return albh;
    }

    public void setAlbh(String albh) {
        this.albh = albh;
    }

    private String albh;
}
